1. Recurring
Sipay API Documentation
  • Overview
    • Getting Started
    • Status Codes
    • PreAuthorization / Authorization
    • Webhook
  • Authentication
    • Generating Token
      POST
  • Installments
    • Getting Installment Information
      POST
    • Installments
      POST
  • Commissions
    • Commission
      POST
  • Non Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Credit Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure PreAuthorization Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Credit Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure PreAuthorization Payment
      POST
    • 3D Secure PreAuthorization Payment APP
      POST
    • 3D Secure Agriculture Payment
      POST
  • Payment
    • CheckStatus
      POST
    • ConfirmPayment
      POST
    • CompletePayment
      POST
    • Non-Secure and 3D Payment with Sipay
      POST
    • Refund
      POST
  • Cards
    • Card Registration
    • Pay by Card Token
    • Retrieving Saved Card
    • Edit Saved Card
    • Delete Saved Card
    • NonSecure Payment with Hidden Card
  • HASH
    • Hash Information
  • Recurring
    • Recurring Query Search
      POST
    • Recurring Plan Process
      POST
    • Recurring Plan Update
      POST
  • Cashout
    • Cashout to bank
  • Report
    • Settlement API
  1. Recurring

Recurring Plan Update

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/recurringPlan/update
Recurring payment can be updated using this API.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

🟠400Failed
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/api/recurringPlan/update' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{"merchant_key":"$2y$10$HmRgYosneqcwHj.UH7upGuyCZqpQ1ITgSMj9Vvxn.t6f.Vdf2SQFO",
"plan_code":"1649229007oFOkJ8",
"recurring_amount":"100.00",
"recurring_status":"ACTIVE",
"recurring_payment_number":"2"'
Response Response Example
200 - Success
{
    "status_code": 100,
    "message": "Recurring Updated successfully"
}
Modified at 2026-01-30 12:22:28
Previous
Recurring Plan Process
Next
Cashout to bank
Built with